//
//  Student.h
//  Lab1c
//
//  Created by R.J. Aquino on 7/3/13.
//  Copyright (c) 2013 CS50. All rights reserved.
//

#import <Foundation/Foundation.h>
@interface Student : NSObject

/* 
 * Note that we do not explicitly list the options for all of the properties
 * It is probably best to do so, once you have your code working.
 */
@property (nonatomic) NSDate *birthday;
@property (nonatomic) int year;
@property NSString *first_name;
@property NSString *last_name;
@property (nonatomic) NSString *major;
@property (nonatomic) NSMutableDictionary *grades;

// method signatures
+ (NSArray*)validMajors;
- (int)age;
- (NSString*)name;
- (void)addGradeForClass:(int)classNum WithGrade:(int)grade;
- (NSString*)transcript;
- (float)average;
@end